version: "3.8"
services:
  check_mk:
    image: checkmk/check-mk-raw:{{ cloudstack.plugins[plugin].version }}
    #user: "1000:1000"
    container_name: checkmk
    tmpfs:
     - /opt/omd/sites/cmk/tmp:uid=1000,gid=1000
    ulimits:
      nofile: 1024
    restart: always
    networks:
{% if cloudstack.plugins[plugin].config.integrations.traefik|bool %}
      - traefik
{% endif %}
      - check_mk
    volumes:
      - /etc/localtime:/etc/localtime:ro
      - {{ plugin }}-data:/omd/sites
{% if cloudstack.plugins[plugin].config.integrations.traefik|bool %}
    labels:
      - "traefik.enable=true"
      - "traefik.docker.network=traefik"
      - "traefik.http.routers.{{ plugin }}.rule=Host(`{{ cloudstack.plugins[plugin].config.sitename }}`)"
      - "traefik.http.routers.{{ plugin }}.service={{ plugin }}"
      - "traefik.http.routers.{{ plugin }}.entrypoints=web,websecure"
      - "traefik.http.services.{{ plugin }}.loadbalancer.server.port={{ cloudstack.plugins[plugin].config.port }}"
      - "traefik.http.services.{{ plugin }}.loadbalancer.passhostheader=true"
{% endif %}
networks:
{% if cloudstack.plugins[plugin].config.integrations.traefik|bool %}
  traefik:
    external: true
{% endif %}
  {{ plugin }}:
    name: {{ plugin }}

volumes:
  {{ plugin }}-data: